Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.jyconsole
Class CommandLine

    java.lang.Object
      com.artenum.jyconsole.CommandLine

public class CommandLine
extends java.lang.Object

     Project ref           : JyConsole project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 04/03/2005
     Modification          :

     Description  : Interprete the command line in order to extract interessting information.

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Sebastien Jourdain, jourdain@artenum.com | Creation

Version:
  0.1
Author:
  Sebastien Jourdain

Constructor Summary
`CommandLine()`

Method Summary
`boolean` | `askForDictionnary()`
`int` | `getCaretPosition()`
`java.lang.String` | `getCommand()`
`java.lang.String` | `getCompletionCommand()`
`java.lang.String` | `getFilterCommand()`
`java.lang.String` | `getTxtAfter()`
`java.lang.StringBuffer` | `getTxtBefore()`
`boolean` | `isCompletionSimple()`
`boolean` | `isCompletionWithFiltering()`
`void` | `setCaretPosition(int caretPosition)`
`void` | `setCommand(java.lang.String command)`
`void` | `setCompletionCommand(java.lang.String completionCommand)`
`void` | `setFilterCommand(java.lang.String filterCommand)`
`java.lang.String` | `toString()`
`void` | `updateData(int caretPos, java.lang.String command)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommandLine

    public CommandLine()

Method Detail

### updateData

    public void updateData(int caretPos,
                           java.lang.String command)

### getCaretPosition

    public int getCaretPosition()

### setCaretPosition

    public void setCaretPosition(int caretPosition)

### getCommand

    public java.lang.String getCommand()

### setCommand

    public void setCommand(java.lang.String command)

### getCompletionCommand

    public java.lang.String getCompletionCommand()

### setCompletionCommand

    public void setCompletionCommand(java.lang.String completionCommand)

### getFilterCommand

    public java.lang.String getFilterCommand()

### setFilterCommand

    public void setFilterCommand(java.lang.String filterCommand)

### askForDictionnary

    public boolean askForDictionnary()

### isCompletionSimple

    public boolean isCompletionSimple()

### isCompletionWithFiltering

    public boolean isCompletionWithFiltering()

### toString

    public java.lang.String toString()

### getTxtAfter

    public java.lang.String getTxtAfter()

### getTxtBefore

    public java.lang.StringBuffer getTxtBefore()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com